[Unit]
Description=libvirt nodedev daemon
Documentation=man:virtnodedevd(8)
Documentation=https://libvirt.org/
BindsTo=virtnodedevd.socket
Wants=virtnodedevd-ro.socket
Wants=virtnodedevd-admin.socket
After=virtnodedevd.socket
After=virtnodedevd-ro.socket
After=virtnodedevd-admin.socket
Conflicts=libvirtd.service
After=libvirtd.service
After=network.target
After=dbus.service
After=apparmor.service

[Service]
Type=notify-reload
Environment=VIRTNODEDEVD_ARGS="--timeout 120"
EnvironmentFile=-/etc/conf.d/virtnodedevd
ExecStart=/usr/bin/virtnodedevd $VIRTNODEDEVD_ARGS
ExecReload=/bin/kill -HUP $MAINPID
Restart=on-failure

[Install]
WantedBy=multi-user.target
Also=virtnodedevd.socket
Also=virtnodedevd-ro.socket
Also=virtnodedevd-admin.socket
